## pg-qualstats 2.1.3

=== Makefile ===
EXTENSION    = pg_qualstats
EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
TESTS        = $(wildcard test/sql/*.sql)
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test
MODULES      = $(patsubst %.c,%,$(wildcard *.c))
PG_CONFIG    ?= pg_config

all:

release-zip: all
	git archive --format zip --prefix=pg_qualstats-$(EXTVERSION)/ --output ./pg_qualstats-$(EXTVERSION).zip HEAD
	unzip ./pg_qualstats-$(EXTVERSION).zip
	rm ./pg_qualstats-$(EXTVERSION).zip
	sed -i -e "s/__VERSION__/$(EXTVERSION)/g"  ./pg_qualstats-$(EXTVERSION)/META.json
	zip -r ./pg_qualstats-$(EXTVERSION).zip ./pg_qualstats-$(EXTVERSION)/
	rm ./pg_qualstats-$(EXTVERSION) -rf


DATA = $(wildcard *--*.sql)
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## pg-qualstats 2.0.2

=== debian/changelog ===
pg-qualstats (2.0.2-2) unstable; urgency=medium

  * Team upload for PostgreSQL 13.
  * Source format 3.0 (quilt).
  * Use dh --with pgxs_loop.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 11:24:18 +0200

pg-qualstats (2.0.2-1) unstable; urgency=medium

  * New  upstream version

 -- Julien Rouhaud <rjuju123@gmail.com>  Sat, 23 May 2020 19:02:15 +0000

pg-qualstats (2.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Julien Rouhaud <rjuju123@gmail.com>  Sat, 25 Apr 2020 12:49:35 +0000

pg-qualstats (1.0.9-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Thu, 05 Sep 2019 08:26:19 +0200

pg-qualstats (1.0.8-1) experimental; urgency=medium

  * New upstream version compatible with PG12.

 -- Christoph Berg <myon@debian.org>  Fri, 31 May 2019 14:12:34 +0200

pg-qualstats (1.0.7-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Fix watch file to ignore debian/* tags.

  [ Julien Rouhaud ]
  * New upstream version

 -- Julien Rouhaud <rjuju123@gmail.com>  Thu, 15 Nov 2018 21:31:52 +0000

pg-qualstats (1.0.6-1) unstable; urgency=medium

  * New upstream version
  * Fix "broken symlink: /usr/share/doc/postgresql-11-pg-
     qualstats/README.md -> doc/README.md".  The README.md is a symlink to
     doc/README.md, so just install doc/README.md.  Thanks to Andreas Beckmann
     for the report! (Closes: #911476)

 -- Julien Rouhaud <rjuju123@gmail.com>  Sun, 21 Oct 2018 21:00:57 +0000

pg-qualstats (1.0.5-2) unstable; urgency=medium

  * Team upload.
  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 13:05:30 +0200

pg-qualstats (1.0.5-1) unstable; urgency=low

  * Initial release.

 -- Julien Rouhaud <rjuju123@gmail.com>  Sun, 22 Jul 2018 23:38:27 +0100

=== debian/control ===
Source: pg-qualstats
Section: database
Priority: optional
Maintainer: Julien Rouhaud <rjuju123@gmail.com>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://github.com/powa-team/pg_qualstats
Vcs-Git: https://github.com/powa-team/pg_qualstats.git

Package: postgresql-13-pg-qualstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
Description: PostgreSQL extension to gather statistics about predicates.
 This extensions tracks WHERE clauses predicates and JOIN predicates.
 Statistics will report whether the predicate was evaluated as an index scan or
 not, how many time the expression appeared, how many times the operator was
 executed and how filtering the expression is.  If pg_stat_statements is
 enabled, it can also track to which statements the predicate belongs.

=== debian/watch ===
version=3
https://github.com/powa-team/pg_qualstats/releases .*/archive/([0-9].*).tar.gz

## pg-qualstats 2.0.3

=== debian/changelog ===
pg-qualstats (2.0.3-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 08 Oct 2021 10:03:34 +0200

pg-qualstats (2.0.3-1) unstable; urgency=medium

  * New upstream version with support for PostgreSQL 14.
  * Fix github watch file.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Oct 2021 10:03:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,54 @@
 Section: database
 Priority: optional
 Maintainer: Julien Rouhaud <rjuju123@gmail.com>
-Standards-Version: 4.5.0
+Uploaders:
+ Christoph Berg <myon@debian.org>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Homepage: https://powa.readthedocs.io/
 Vcs-Browser: https://github.com/powa-team/pg_qualstats
 Vcs-Git: https://github.com/powa-team/pg_qualstats.git
+
+Package: postgresql-9.6-pg-qualstats
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
+Description: PostgreSQL extension to gather statistics about predicates.
+ This extensions tracks WHERE clauses predicates and JOIN predicates.
+ Statistics will report whether the predicate was evaluated as an index scan or
+ not, how many time the expression appeared, how many times the operator was
+ executed and how filtering the expression is.  If pg_stat_statements is
+ enabled, it can also track to which statements the predicate belongs.
+
+Package: postgresql-10-pg-qualstats
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
+Description: PostgreSQL extension to gather statistics about predicates.
+ This extensions tracks WHERE clauses predicates and JOIN predicates.
+ Statistics will report whether the predicate was evaluated as an index scan or
+ not, how many time the expression appeared, how many times the operator was
+ executed and how filtering the expression is.  If pg_stat_statements is
+ enabled, it can also track to which statements the predicate belongs.
+
+Package: postgresql-11-pg-qualstats
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
+Description: PostgreSQL extension to gather statistics about predicates.
+ This extensions tracks WHERE clauses predicates and JOIN predicates.
+ Statistics will report whether the predicate was evaluated as an index scan or
+ not, how many time the expression appeared, how many times the operator was
+ executed and how filtering the expression is.  If pg_stat_statements is
+ enabled, it can also track to which statements the predicate belongs.
+
+Package: postgresql-12-pg-qualstats
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
+Description: PostgreSQL extension to gather statistics about predicates.
+ This extensions tracks WHERE clauses predicates and JOIN predicates.
+ Statistics will report whether the predicate was evaluated as an index scan or
+ not, how many time the expression appeared, how many times the operator was
+ executed and how filtering the expression is.  If pg_stat_statements is
+ enabled, it can also track to which statements the predicate belongs.
 
 Package: postgresql-13-pg-qualstats
 Architecture: any
@@ -18,3 +60,13 @@
  not, how many time the expression appeared, how many times the operator was
  executed and how filtering the expression is.  If pg_stat_statements is
  enabled, it can also track to which statements the predicate belongs.
+
+Package: postgresql-14-pg-qualstats
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
+Description: PostgreSQL extension to gather statistics about predicates.
+ This extensions tracks WHERE clauses predicates and JOIN predicates.
+ Statistics will report whether the predicate was evaluated as an index scan or
+ not, how many time the expression appeared, how many times the operator was
+ executed and how filtering the expression is.  If pg_stat_statements is
+ enabled, it can also track to which statements the predicate belongs.

## pg-qualstats 2.0.4

=== debian/changelog ===
pg-qualstats (2.0.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 10:53:59 +0200

pg-qualstats (2.0.4-1) unstable; urgency=medium

  * New upstream version with support for PostgreSQL 15.

 -- Julien Rouhaud <rjuju123@gmail.com>  Mon, 16 May 2022 14:44:30 +0800

=== debian/control ===
Source: pg-qualstats
Section: database
Priority: optional
Maintainer: Julien Rouhaud <rjuju123@gmail.com>
Uploaders:
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://github.com/powa-team/pg_qualstats
Vcs-Git: https://github.com/powa-team/pg_qualstats.git

Package: postgresql-15-pg-qualstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15
Description: PostgreSQL extension to gather statistics about predicates.
 This extensions tracks WHERE clauses predicates and JOIN predicates.
 Statistics will report whether the predicate was evaluated as an index scan or
 not, how many time the expression appeared, how many times the operator was
 executed and how filtering the expression is.  If pg_stat_statements is
 enabled, it can also track to which statements the predicate belongs.

## pg-qualstats 2.1.0

=== debian/changelog ===
pg-qualstats (2.1.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Sep 2023 16:49:06 +0800

pg-qualstats (2.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Mon, 18 Sep 2023 16:49:06 +0800

=== debian/control ===
Source: pg-qualstats
Section: database
Priority: optional
Maintainer: Julien Rouhaud <rjuju123@gmail.com>
Uploaders:
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://github.com/powa-team/pg_qualstats
Vcs-Git: https://github.com/powa-team/pg_qualstats.git

Package: postgresql-10-pg-qualstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension to gather statistics about predicates.
 This extensions tracks WHERE clauses predicates and JOIN predicates.
 Statistics will report whether the predicate was evaluated as an index scan or
 not, how many time the expression appeared, how many times the operator was
 executed and how filtering the expression is.  If pg_stat_statements is
 enabled, it can also track to which statements the predicate belongs.

Package: postgresql-11-pg-qualstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension to gather statistics about predicates.
 This extensions tracks WHERE clauses predicates and JOIN predicates.
 Statistics will report whether the predicate was evaluated as an index scan or
 not, how many time the expression appeared, how many times the operator was
 executed and how filtering the expression is.  If pg_stat_statements is
 enabled, it can also track to which statements the predicate belongs.

Package: postgresql-12-pg-qualstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension to gather statistics about predicates.
 This extensions tracks WHERE clauses predicates and JOIN predicates.
 Statistics will report whether the predicate was evaluated as an index scan or
 not, how many time the expression appeared, how many times the operator was
 executed and how filtering the expression is.  If pg_stat_statements is
 enabled, it can also track to which statements the predicate belongs.

Package: postgresql-13-pg-qualstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension to gather statistics about predicates.
 This extensions tracks WHERE clauses predicates and JOIN predicates.
 Statistics will report whether the predicate was evaluated as an index scan or
 not, how many time the expression appeared, how many times the operator was
 executed and how filtering the expression is.  If pg_stat_statements is
 enabled, it can also track to which statements the predicate belongs.

Package: postgresql-14-pg-qualstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension to gather statistics about predicates.
 This extensions tracks WHERE clauses predicates and JOIN predicates.
 Statistics will report whether the predicate was evaluated as an index scan or
 not, how many time the expression appeared, how many times the operator was
 executed and how filtering the expression is.  If pg_stat_statements is
 enabled, it can also track to which statements the predicate belongs.

Package: postgresql-15-pg-qualstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension to gather statistics about predicates.
 This extensions tracks WHERE clauses predicates and JOIN predicates.
 Statistics will report whether the predicate was evaluated as an index scan or
 not, how many time the expression appeared, how many times the operator was
 executed and how filtering the expression is.  If pg_stat_statements is
 enabled, it can also track to which statements the predicate belongs.

Package: postgresql-16-pg-qualstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension to gather statistics about predicates.
 This extensions tracks WHERE clauses predicates and JOIN predicates.
 Statistics will report whether the predicate was evaluated as an index scan or
 not, how many time the expression appeared, how many times the operator was
 executed and how filtering the expression is.  If pg_stat_statements is
 enabled, it can also track to which statements the predicate belongs.

## pg-qualstats 2.1.1

=== debian/changelog ===
pg-qualstats (2.1.1-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 03 Oct 2024 14:53:04 +0200

pg-qualstats (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1.

 -- Christoph Berg <myon@debian.org>  Thu, 03 Oct 2024 14:53:04 +0200

pg-qualstats (2.1.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * Move packaging repo to salsa.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 21:25:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,26 @@
 Source: pg-qualstats
 Section: database
 Priority: optional
-Maintainer: Julien Rouhaud <rjuju123@gmail.com>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
+Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
+ debhelper-compat (= 13),
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
 Homepage: https://powa.readthedocs.io/
-Vcs-Browser: https://github.com/powa-team/pg_qualstats
-Vcs-Git: https://github.com/powa-team/pg_qualstats.git
+Vcs-Browser: https://salsa.debian.org/postgresql/pg-qualstats
+Vcs-Git: https://salsa.debian.org/postgresql/pg-qualstats.git
 
 Package: postgresql-10-pg-qualstats
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -23,7 +30,10 @@
 
 Package: postgresql-11-pg-qualstats
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -33,7 +43,10 @@
 
 Package: postgresql-12-pg-qualstats
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -43,7 +56,10 @@
 
 Package: postgresql-13-pg-qualstats
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -53,7 +69,10 @@
 
 Package: postgresql-14-pg-qualstats
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -63,7 +82,10 @@
 
 Package: postgresql-15-pg-qualstats
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -73,10 +95,26 @@
 
 Package: postgresql-16-pg-qualstats
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
  not, how many time the expression appeared, how many times the operator was
  executed and how filtering the expression is.  If pg_stat_statements is
  enabled, it can also track to which statements the predicate belongs.
+
+Package: postgresql-17-pg-qualstats
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL extension to gather statistics about predicates.
+ This extensions tracks WHERE clauses predicates and JOIN predicates.
+ Statistics will report whether the predicate was evaluated as an index scan or
+ not, how many time the expression appeared, how many times the operator was
+ executed and how filtering the expression is.  If pg_stat_statements is
+ enabled, it can also track to which statements the predicate belongs.

## pg-qualstats 2.1.2

=== debian/changelog ===
pg-qualstats (2.1.2-2) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * Upload for PostgreSQL 18.
  * Add ${postgresql:Breaks}.

  [ Christoph Berg ]
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:26:41 +0200

pg-qualstats (2.1.2-1) experimental; urgency=medium

  * New upstream version 2.1.2.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Jul 2025 22:32:23 +0200

## pg-qualstats 2.1.3

=== debian/changelog ===
pg-qualstats (2.1.3-1.pgdg12+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 16 Oct 2025 14:28:40 +0200

pg-qualstats (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3.

 -- Christoph Berg <myon@debian.org>  Thu, 16 Oct 2025 14:28:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
 Homepage: https://powa.readthedocs.io/
@@ -21,6 +20,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -34,6 +35,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -47,6 +50,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -60,6 +65,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -73,6 +80,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -86,6 +95,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -99,6 +110,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
@@ -112,9 +125,26 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL extension to gather statistics about predicates.
  This extensions tracks WHERE clauses predicates and JOIN predicates.
  Statistics will report whether the predicate was evaluated as an index scan or
  not, how many time the expression appeared, how many times the operator was
  executed and how filtering the expression is.  If pg_stat_statements is
  enabled, it can also track to which statements the predicate belongs.
+
+Package: postgresql-18-pg-qualstats
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL extension to gather statistics about predicates.
+ This extensions tracks WHERE clauses predicates and JOIN predicates.
+ Statistics will report whether the predicate was evaluated as an index scan or
+ not, how many time the expression appeared, how many times the operator was
+ executed and how filtering the expression is.  If pg_stat_statements is
+ enabled, it can also track to which statements the predicate belongs.
